
package de.ivu.elect.presentation.person.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.person.BerufSearchView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class BerufSearchMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.BERUF_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "beruf.search.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return BerufSearchView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
